<?php

namespace TotalSurvey\Extensions\BlocksPack\Blocks;
! defined( 'ABSPATH' ) && exit();


use TotalSurvey\Blocks\BlockType;
use TotalSurvey\Models\Block;
use TotalSurveyVendors\TotalSuite\Foundation\Helpers\Html;

class Image extends BlockType
{
    public static $category = 'content';
    public static $id       = 'image';
    public static $icon     = 'photo';
    public static $static   = true;

    public static function render(Block $block)
    {
        $figure = Html::create(
            'figure',
            [
                'class' => [
                    'image-block',
                    "image-block-{$block->option('alignment', 'start')}",
                ],
            ]
        );

        $image = Html::create(
            'img',
            [
                'src' => esc_url($block->value('url', '')),
                'alt' => $block->option('alt'),
                'loading' => 'lazy',
            ]
        );

        $caption = $block->option('caption');

        if ($caption) {
            $caption = Html::create('figcaption', [], $caption);
        }

        $figure->addContent($image);
        $figure->addContent($caption);

        return $figure;
    }
}
