<?php

namespace TotalSurvey\Extensions\BlocksPack\Blocks;
! defined( 'ABSPATH' ) && exit();


use TotalSurvey\Blocks\BlockType;
use TotalSurvey\Models\Block;
use TotalSurveyVendors\TotalSuite\Foundation\Helpers\Html;

class RawHTML extends BlockType
{
    public static $category = 'content';
    public static $id       = 'html';
    public static $icon     = 'code';
    public static $static   = true;

    public static function render(Block $block)
    {
        return Html::create(
            'div',
            [
                'class' => [
                    'html-block',
                ],
            ],
            $block->option('evaluateShortcode') ? do_shortcode($block->value(), true) : $block->value()
        );
    }
}
