<?php

namespace TotalSurvey\Extensions\BlocksPack;
! defined( 'ABSPATH' ) && exit();


use TotalSurvey\Extensions\BlocksPack\Blocks\Embed;
use TotalSurvey\Extensions\BlocksPack\Blocks\Image;
use TotalSurvey\Extensions\BlocksPack\Blocks\RawHTML;
use TotalSurvey\Extensions\BlocksPack\Blocks\Separator;
use TotalSurvey\Extensions\BlocksPack\Blocks\Title;
use TotalSurvey\Filters\Surveys\SurveyAssetsFilter;
use TotalSurvey\Plugin;
use TotalSurveyVendors\TotalSuite\Foundation\WordPress\Modules\Extension;

class Module extends Extension
{
    /*
     * @return void
     * @throws \TotalSurveyVendors\TotalSuite\Foundation\Exceptions\Exception
     */
    public function run()
    {
        // Custom CSS
        SurveyAssetsFilter::add([$this, 'assets']);

        // Blocks
        Image::register();
        Separator::register();
        RawHTML::register();
        Embed::register();
    }

    /**
     * @param $assets
     *
     * @return string
     */
    public function assets($assets)
    {
        $assets['css']['blocks-pack'] = $this->getUrl('assets/style.css?ver=' . Plugin::env('version'));

        return $assets;
    }
}
