<?php

namespace TotalSurvey\Extensions\FieldsPack;
! defined( 'ABSPATH' ) && exit();


use TotalSurvey\Extensions\FieldsPack\Blocks\File;
use TotalSurvey\Extensions\FieldsPack\Blocks\ImageChoices;
use TotalSurvey\Extensions\FieldsPack\Blocks\Matrix;
use TotalSurvey\Extensions\FieldsPack\Blocks\Rating;
use TotalSurvey\Filters\Surveys\SurveyAssetsFilter;
use TotalSurvey\Plugin;
use TotalSurveyVendors\TotalSuite\Foundation\Exceptions\Exception;
use TotalSurveyVendors\TotalSuite\Foundation\WordPress\Modules\Extension;

class Module extends Extension
{
    /**
     * @return mixed|void
     * @throws Exception
     */
    public function run()
    {
        // Custom CSS
        SurveyAssetsFilter::add([$this, 'assets']);

        // Fields
        File::register();
        ImageChoices::register();
        Matrix::register();
        Rating::register();
    }

    /**
     * @param $assets
     *
     * @return string
     */
    public function assets($assets)
    {
        $assets['css']['fields-pack'] = $this->getUrl('assets/style.css?ver=' . Plugin::env('version'));

        return $assets;
    }
}
