<?php


namespace TotalSurvey\Extensions\FieldsPack\Validations;
! defined( 'ABSPATH' ) && exit();


use TotalSurvey\Models\Block;
use TotalSurveyVendors\Rakit\Validation\Rule;
use TotalSurveyVendors\TotalSuite\Foundation\Support\Arrays;

class MatrixValidation extends Rule
{
    /**
     * @var Block
     */
    protected $block;

    /**
     * @var string
     */
    protected $message = "Required";

    public function __construct(Block $block)
    {
        $this->block = $block;
    }

    public function getMessage(): string
    {
        return __('Required', 'totalsurvey');
    }

    /**
     * @param  array  $value
     *
     * @return bool
     */
    public function check($value): bool
    {
        $columns = Arrays::extract($this->block->option('columns'), 'uid');
        $rows    = Arrays::extract($this->block->option('rows'), 'uid');

        $userColumns = array_values((array) $value);

        foreach ($userColumns as $userColumn) {
            if (!in_array($userColumn, $columns, true)) {
                return false;
            }
        }

        $userRows = array_keys((array) $value);

        if (count($rows) !== count($userRows)) {
            return false;
        }

        if (!empty(array_diff($rows, $userRows))) {
            return false;
        }

        return true;
    }
}
