<?php

namespace TotalSurvey\Extensions\Insights\Models;
! defined( 'ABSPATH' ) && exit();


use TotalSurvey\Extensions\Insights\Tasks\RenderInsights;
use TotalSurvey\Models\Survey;
use TotalSurveyVendors\TotalSuite\Foundation\Database\Model;
use TotalSurveyVendors\TotalSuite\Foundation\Exceptions\Exception;
use TotalSurveyVendors\TotalSuite\Foundation\Exceptions\ModuleException;
use TotalSurveyVendors\TotalSuite\Foundation\WordPress\Modules\Manager;

/**
 * Class Insight
 *
 * @property Survey $survey
 * @property InsightsData $data
 *
 * @package TotalSurvey\Extensions\Insights\Models
 */
class Insights extends Model
{

    /**
     * @throws Exception
     * @throws ModuleException
     */
    public function render($embed)
    {
        $template = Manager::instance()->loadTemplate($this->survey->getTemplate());

        return RenderInsights::invoke($template, $this, $embed);
    }

}
