<?php

namespace TotalSurvey\Extensions\Insights;
! defined( 'ABSPATH' ) && exit();


use TotalSurvey\Events\OnRoutesRegistered;
use TotalSurvey\Extensions\Insights\Actions\Export;
use TotalSurvey\Extensions\Insights\Actions\Index;
use TotalSurvey\Extensions\Insights\Tasks\SetupViewInsightsTemplate;
use TotalSurveyVendors\TotalSuite\Foundation\WordPress\Modules\Extension;
use TotalSurveyVendors\TotalSuite\Foundation\WordPress\Rest\Router;

class Module extends Extension
{
    public function run()
    {
        // Register routes
        OnRoutesRegistered::listen([$this, 'registerRoutes']);

        // Shortcode
        new Shortcodes\Insights();

        // Setup insights view template
        SetupViewInsightsTemplate::invoke();
    }

    /**
     * @param  OnRoutesRegistered  $event
     */
    public function registerRoutes(OnRoutesRegistered $event)
    {
        Router::instance()->get('admin/insights', Index::class);
        Router::instance()->get('admin/insights/export', Export::class);
    }
}
