<?php

namespace TotalSurvey\Extensions\Insights\Shortcodes;
! defined( 'ABSPATH' ) && exit();


use Exception;
use TotalSurvey\Extensions\Insights\Tasks\CreateInsights;
use TotalSurvey\Extensions\Insights\Tasks\DisplayInsights;
use TotalSurvey\Models\Survey as SurveyModel;
use TotalSurveyVendors\TotalSuite\Foundation\WordPress\Shortcode;

/**
 * Class Survey
 *
 * @package TotalSurvey\Shortcodes
 */
class Insights extends Shortcode
{
    /**
     * Survey constructor.
     */
    public function __construct()
    {
        parent::__construct('totalsurvey-insights');
    }

    /**
     * @return string
     */
    public function render(): string
    {
        try {
            $id              = (int) $this->getAttribute('id');
            $from            = $this->getAttribute('from') ?: null;
            $to              = $this->getAttribute('to') ?: null;
            $includeObsolete = filter_var($this->getAttribute('include-obsolete'), FILTER_VALIDATE_BOOLEAN);
            $survey          = SurveyModel::byIdAndActive($id);

            $survey->settings['design.colors.background.base'] = 'transparent';

            $insights = CreateInsights::invoke($survey, $from, $to, $includeObsolete);

            return DisplayInsights::invoke($insights);
        } catch (Exception $e) {
            return $e->getMessage();
        }
    }
}
