<?php


namespace TotalSurvey\Extensions\Insights\Tasks;
! defined( 'ABSPATH' ) && exit();



use TotalSurveyVendors\TotalSuite\Foundation\Http\Response;
use TotalSurveyVendors\TotalSuite\Foundation\Http\ResponseFactory;
use TotalSurveyVendors\TotalSuite\Foundation\Task;

/**
 * Class ExportJson
 *
 * @method static Response invoke(array $entries)
 * @method static Response invokeWithFallback($fallback, array $entries)
 */
class ExportJson extends Task
{
    protected $data;

    /**
     * constructor.
     *
     * @param  array  $data
     */
    public function __construct(array $data)
    {
        $this->data = $data;
    }

    /**
     * @inheritDoc
     */
    protected function validate()
    {
        return true;
    }

    /**
     * @return Response
     */
    protected function execute()
    {
        $filename = sprintf("insights-export-%s.json", date('Y-d-m'));

        return ResponseFactory::file(json_encode($this->data, JSON_PRETTY_PRINT | JSON_UNESCAPED_UNICODE), $filename, 'application/json');
    }
}
