<?php
namespace TotalSurvey\Extensions\Limitations;
! defined( 'ABSPATH' ) && exit();



use TotalSurvey\Models\Entry;
use TotalSurvey\Models\Survey;
use TotalSurveyVendors\TotalSuite\Foundation\Exceptions\Exception;
use TotalSurveyVendors\TotalSuite\Foundation\Http\Response;

abstract class LimitationStrategy
{
    protected $request;

    /**
     * LimitationStrategy constructor.
     *
     * @param $request
     */
    public function __construct($request)
    {
        $this->request = $request;
    }

    /**
     * @param  Survey  $survey
     *
     * @return mixed
     */
    public function reset(Survey $survey) {
        return true;
    }

    /**
     * @param  Survey  $survey
     * @param  bool  $next
     *
     * @return bool
     *
     * @throws Exception
     */
    abstract public function check(Survey $survey, $next = false);

    /**
     * @param  Response  $response
     * @param  Survey  $survey
     * @param  Entry  $entry
     *
     * @return Response
     */
    abstract public function apply(Response $response, Survey $survey, Entry $entry);
}