<?php


namespace TotalSurvey\Extensions\Limitations\Tasks;
! defined( 'ABSPATH' ) && exit();


use TotalSurvey\Extensions\Limitations\LimitationStrategy;
use TotalSurvey\Models\Survey;
use TotalSurveyVendors\TotalSuite\Foundation\Exceptions\Exception;
use TotalSurveyVendors\TotalSuite\Foundation\Task;

class CheckLimitations extends Task
{
    /**
     * @var LimitationStrategy[]
     */
    protected $limitations = [];

    /**
     * @var Survey
     */
    protected $survey;
    /**
     * @var false
     */
    protected $next;

    /**
     * CheckLimitations constructor.
     *
     * @param  LimitationStrategy[]  $limitations
     * @param  Survey  $survey
     * @param  bool  $next
     */
    public function __construct(array $limitations, Survey $survey, $next = false)
    {
        $this->limitations = $limitations;
        $this->survey      = $survey;
        $this->next        = $next;
    }


    protected function validate()
    {
        return false;
    }

    protected function execute()
    {
        try {
            foreach ($this->limitations as $limitation) {
                $limitation->check($this->survey, $this->next);
            }
        } catch (Exception $exception) {
            return false;
        }

        return true;
    }
}
