<?php

namespace TotalSurvey\Extensions\Popup\Actions;
! defined( 'ABSPATH' ) && exit();


use TotalSurvey\Capabilities\UserCanManageOptions;
use TotalSurvey\Extensions\Popup\Module;
use TotalSurvey\Extensions\Popup\Tasks\GetDefaults;
use TotalSurvey\Extensions\Popup\Tasks\SavePopup;
use TotalSurveyVendors\TotalSuite\Foundation\Action;
use TotalSurveyVendors\TotalSuite\Foundation\Exceptions\Exception;
use TotalSurveyVendors\TotalSuite\Foundation\Http\Response;
use TotalSurveyVendors\TotalSuite\Foundation\WordPress\Options;

class Save extends Action
{
    /**
     * @var Options
     */
    protected $options;

    /**
     * ResetOptions constructor.
     *
     * @param Options $options
     *
     * @throws Exception
     */
    public function __construct(Options $options)
    {
        $this->options = $options->withKey(Module::STORAGE_KEY, GetDefaults::invoke());
    }

    /**
     * @return Response
     * @throws Exception
     */
    public function execute(): Response
    {
        $data = $this->request->getParsedBody();

        return SavePopup::invoke($this->options, $data)->toJsonResponse();
    }

    /**
     * @inheritDoc
     */
    public function authorize(): bool
    {
        return UserCanManageOptions::check();
    }
}
