<?php


namespace TotalSurvey\Extensions\Popup\Model;
! defined( 'ABSPATH' ) && exit();



use TotalSurveyVendors\TotalSuite\Foundation\Database\Model;

/**
 * Class Popup
 *
 * @property string|null widget
 * @property bool enabled
 * @property string target
 * @property string title
 * @property string description
 * @property mixed|null survey
 * @package TotalSurvey\Extensions\Popup\Model
 */
class Popup extends Model
{
    protected $types = [
        'colors' => 'array',
    ];

    public function getStartButtonLabel()
    {
        return $this->getAttribute('buttons.start') ?: __('Participate', 'totalsurvey');
    }

    public function getDiscardButtonLabel()
    {
        return $this->getAttribute('buttons.discard') ?: __('Not now', 'totalsurvey');
    }

    public function getPromptMessage()
    {
        return $this->getAttribute('messages.prompt') ?: __(
            'Would you like to participate in our survey?',
            'totalsurvey'
        );
    }

    public function getThankYouMessage()
    {
        return $this->getAttribute('messages.thankyou') ?: __('Thank you!', 'totalsurvey');
    }

    public function getShadow()
    {
        return $this->shadow;
    }

    public function getPosition()
    {
        return strtolower(preg_replace('/([A-Z])/', '-$1', $this->position));
    }

    public function shouldSkipPrompt()
    {
        return $this->getAttribute('skipPrompt', false);
    }
}
