<?php

namespace TotalSurvey\Extensions\Popup\Tasks;
! defined( 'ABSPATH' ) && exit();



use Exception;
use TotalSurvey\Extensions\Popup\Model\Popup;
use TotalSurvey\Models\Survey;
use TotalSurveyVendors\TotalSuite\Foundation\Task;
use TotalSurveyVendors\TotalSuite\Foundation\View\Engine;

class DisplayPopup extends Task
{
    /**
     * @var Engine
     */
    protected $view;

    /**
     * @var Popup
     */
    protected $popup;

    /**
     * DisplayPopup constructor.
     *
     * @param  Engine  $view
     * @param  Popup  $popup
     */
    public function __construct(Engine $view, Popup $popup)
    {
        $this->popup = $popup;
        $this->view  = $view;
    }


    protected function validate()
    {
        return true;
    }

    /**
     * @return mixed|string
     */
    protected function execute()
    {
        try {
            $survey   = Survey::byUidAndActiveForRendering($this->popup->survey);
            $renderer = new RenderPopup($this->view, $survey, $this->popup);

            if ($this->popup->target === 'all' || $this->popup->target === 'code') {
                return $renderer->run();
            }

            if ($this->popup->target === 'home' && is_home()) {
                return $renderer->run();
            }

            if ((in_the_loop() || is_singular()) && $this->popup->target === get_post_type()) {
                return $renderer->run();
            }
        } catch (Exception $e) {
            return '';
        }

        return '';
    }
}
