<?php

namespace TotalSurvey\Extensions\Popup\Tasks;
! defined( 'ABSPATH' ) && exit();



use TotalSurvey\Extensions\Popup\Model\Popup;
use TotalSurveyVendors\TotalSuite\Foundation\Task;
use TotalSurveyVendors\TotalSuite\Foundation\WordPress\Options;

/**
 * Class GetPopup
 *
 * @package TotalSurvey\Extensions\Popup\Tasks
 * @method static Popup invoke(Options $options)
 * @method static Popup invokeWithFallback($fallback, Options $options)
 */
class GetPopup extends Task
{
    /**
     * @var Options
     */
    protected $options;

    /**
     * GetPopup constructor.
     *
     * @param Options $options
     */
    public function __construct(Options $options)
    {
        $this->options = $options;
    }

    /**
     * @return bool
     */
    protected function validate()
    {
        return true;
    }

    /**
     * @return Popup
     */
    protected function execute()
    {
        return Popup::from($this->options->toArray());
    }
}