<?php

namespace TotalSurvey\Extensions\Popup\Tasks;
! defined( 'ABSPATH' ) && exit();


use TotalSurvey\Extensions\Popup\Model\Popup;
use TotalSurveyVendors\TotalSuite\Foundation\Exceptions\Exception;
use TotalSurveyVendors\TotalSuite\Foundation\Task;
use TotalSurveyVendors\TotalSuite\Foundation\WordPress\Options;

/**
 * Class SavePopup
 *
 * @package TotalSurvey\Extensions\Popup\Tasks
 * @method static Popup invoke(Options $options, array $data)
 * @method static Popup invokeWithFallback($fallback, Options $options, array $data)
 */
class SavePopup extends Task
{
    /**
     * @var Options
     */
    protected $options;

    /**
     * @var array
     */
    protected $data = [];

    /**
     * Reset constructor.
     *
     * @param  Options  $options
     * @param  array  $data
     */
    public function __construct(Options $options, array $data)
    {
        $this->options = $options;
        $this->data    = $data;
    }


    /**
     * @inheritDoc
     */
    protected function validate()
    {
        return true;
    }

    /**
     * @inheritDoc
     * @throws Exception
     */
    protected function execute()
    {
        Exception::throwUnless(
            $this->options->fill($this->data)->save(),
            'Could not save popup'
        );

        return $this->options;
    }
}
