"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __generator = (this && this.__generator) || function (thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (_) try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [op[0] & 2, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
};
var PopupExtension;
(function (PopupExtension) {
    var PROMPT_SELECTOR = '.prompt';
    var POPUP_SELECTOR = '.popup';
    var OVERLAY_SELECTOR = '.popup-overlay';
    var OPEN_BUTTON_SELECTOR = '.prompt-open';
    var POPUP_SURVEY_SELECTOR = '.popup-survey';
    var SURVEY_SELECTOR = '.totalsurvey-survey';
    var CLOSE_SELECTOR = '.close-popup';
    var THANK_YOU_SELECTOR = '.popup-thankyou';
    var SHOW_CLASS_TOKEN = 'is-visible';
    var OPEN_CLASS_TOKEN = 'is-open';
    var CLOSED_TOKEN = 'closed';
    var PREFIX = 'totalsurvey-popup';
    var Popup = /** @class */ (function () {
        function Popup(container) {
            var _this = this;
            var _a;
            this.container = container;
            this.options = {
                delay: 0,
                close: 0,
                survey: null,
                thankYous: null,
                skipPrompt: false,
            };
            // Parse and fill settings
            var userOptions = JSON.parse(this.container.dataset.options || '{}');
            Object.assign(this.options, userOptions);
            container.removeAttribute('data-options');
            var popupTemplate = container.querySelector('#totalsurvey-popup-template');
            var popupSurvey = container.querySelector('#totalsurvey-popup-survey');
            container.attachShadow({ mode: 'open' }).append(popupTemplate.content);
            container.shadowRoot.querySelector(POPUP_SURVEY_SELECTOR).append(popupSurvey.firstElementChild);
            this.survey.firstElementChild.insertAdjacentHTML('beforeend', '<style>.survey-title, .survey-progress, .survey-error, .section-title, .section-description {display: none;}</style>');
            // Bail if already closed
            if (this.closed) {
                container.remove();
                return;
            }
            // Listen to close
            this.container.shadowRoot.querySelectorAll(CLOSE_SELECTOR).forEach(function (button) {
                button.addEventListener('click', _this.remove.bind(_this), false);
            });
            // Show
            setTimeout(this.show.bind(this), this.options.delay * 1000);
            // Open
            (_a = this.openButton) === null || _a === void 0 ? void 0 : _a.addEventListener('click', this.open.bind(this), false);
            // Submit
            // @ts-ignore
            this.survey.instance.$on('submit', this.handleSubmit.bind(this));
        }
        Popup.prototype.handleSubmit = function () {
            var _a;
            return __awaiter(this, void 0, void 0, function () {
                return __generator(this, function (_b) {
                    (_a = this.survey.host.parentElement) === null || _a === void 0 ? void 0 : _a.remove();
                    this.thankYou.removeAttribute('hidden');
                    this.closed = true;
                    if (this.thankYou.innerText.trim() == '') {
                        this.remove();
                    }
                    else if (this.options.close > 0) {
                        setTimeout(this.remove.bind(this), this.options.close * 1000);
                    }
                    return [2 /*return*/];
                });
            });
        };
        Object.defineProperty(Popup.prototype, "popup", {
            get: function () {
                return this.container.shadowRoot.querySelector(POPUP_SELECTOR);
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(Popup.prototype, "thankYou", {
            get: function () {
                return this.container.shadowRoot.querySelector(THANK_YOU_SELECTOR);
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(Popup.prototype, "survey", {
            get: function () {
                return this.container.shadowRoot.querySelector(SURVEY_SELECTOR).shadowRoot;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(Popup.prototype, "openButton", {
            get: function () {
                return this.container.shadowRoot.querySelector(OPEN_BUTTON_SELECTOR);
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(Popup.prototype, "closed", {
            get: function () {
                return localStorage.getItem(this.popupId) === CLOSED_TOKEN;
            },
            set: function (value) {
                if (value) {
                    window.localStorage.setItem(this.popupId, CLOSED_TOKEN);
                }
                else {
                    window.localStorage.removeItem(this.popupId);
                }
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(Popup.prototype, "popupId", {
            get: function () {
                return PREFIX + "-" + this.options.survey;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(Popup.prototype, "prompt", {
            get: function () {
                return this.container.shadowRoot.querySelector(PROMPT_SELECTOR);
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(Popup.prototype, "overlay", {
            get: function () {
                return this.container.shadowRoot.querySelector(OVERLAY_SELECTOR);
            },
            enumerable: true,
            configurable: true
        });
        Popup.prototype.remove = function () {
            this.closed = true;
            this.container.remove();
            document.documentElement.style.overflowY = 'initial';
        };
        Popup.prototype.show = function () {
            return this.popup.removeAttribute('hidden');
        };
        Popup.prototype.open = function () {
            var _this = this;
            this.overlay.removeAttribute('hidden');
            document.documentElement.style.overflowY = 'hidden';
            setTimeout(function () { return _this.prompt.remove(); }, 500);
        };
        return Popup;
    }());
    PopupExtension.Popup = Popup;
    // Bootstrap
    window.addEventListener('DOMContentLoaded', function () {
        var popup = document.getElementById('totalsurvey-popup');
        if (popup) {
            new Popup(popup);
        }
    }, false);
})(PopupExtension || (PopupExtension = {}));
//# sourceMappingURL=main.js.map