<?php

namespace TotalSurvey\Extensions\Scoring\Model;
! defined( 'ABSPATH' ) && exit();


use TotalSurveyVendors\TotalSuite\Foundation\Database\Model;
use TotalSurveyVendors\TotalSuite\Foundation\Support\Collection;

/**
 * @property string $uid
 * @property Collection<ScoringRule>|ScoringRule[] $rules
 */
class ScoringBlock extends Model
{
    /**
     * @var string[]
     */
    protected $types = [
        'rules' => 'rules',
    ];

    /**
     * @param  array  $data
     *
     * @return Collection
     */
    public function castToRules(array $data)
    {
        $rules = [];

        foreach ($data as $rule) {
            $rules[] = new ScoringRule($rule);
        }

        return Collection::create($rules);
    }

    /**
     * @param $value
     *
     * @return int
     */
    public function process($value)
    {
        foreach ($this->rules as $rule) {
            if ($rule->process($value)) {
                return $rule->score;
            }
        }

        return 0;
    }
}
