<?php

namespace TotalSurvey\Extensions\Scoring\Model;
! defined( 'ABSPATH' ) && exit();



use TotalSurvey\Tasks\ProcessCondition;
use TotalSurveyVendors\TotalSuite\Foundation\Database\Model;

/**
 * @property string $uid
 * @property string $operator
 * @property mixed $value
 * @property int $score
 */
class ScoringRule extends Model
{
    /**
     * @var string[]
     */
    protected $types = [
        'score' => 'int',
    ];

    /**
     * @param $value
     *
     * @return bool
     * @throws \TotalSurveyVendors\TotalSuite\Foundation\Exceptions\Exception
     */
    public function process($value)
    {
        return ProcessCondition::invoke($this->value, $this->operator, $value);
    }
}
