<?php


namespace TotalSurvey\Extensions\Scoring\Model;
! defined( 'ABSPATH' ) && exit();



use TotalSurveyVendors\TotalSuite\Foundation\Database\Model;
use TotalSurveyVendors\TotalSuite\Foundation\Support\Collection;

/**
 * @property Collection<ScoringBlock>|ScoringBlock[] blocks
 */
class ScoringSection extends Model
{
    /**
     * @var string[]
     */
    protected $types = [
        'blocks' => 'blocks',
    ];

    /**
     * @param  array  $data
     *
     * @return Collection
     */
    public function castToBlocks(array $data)
    {
        $blocks = [];

        foreach ($data as $block) {
            $blocks[] = new ScoringBlock($block);
        }

        return Collection::create($blocks);
    }
}
