<?php

namespace TotalSurvey\Extensions\Workflows\Tasks;
! defined( 'ABSPATH' ) && exit();


use TotalSurvey\Tasks\Workflow\AbstractWorkflowTask;

/**
 * Class CallWebHookWorkflow
 *
 * @package TotalSurvey\Tasks\Workflows
 */
class CallWebHookWorkflow extends AbstractWorkflowTask
{
    protected function execute()
    {
        $url = $this->rule->task->arguments->get('webHookUrl');
        if($url) {
            wp_remote_post(
                $url,
                [
                    'blocking' => false,
                    'headers'  => [
                        'Content-Type'    => 'application/json',
                        'X-WebHook-Event' => $this->rule->event,
                        'X-WebHook-Task'  => $this->rule->task->id,
                    ],
                    'body'     => json_encode(
                        [
                            'survey'    => $this->event->survey,
                            'entry'     => $this->event->entry->withUser()
                        ],
                        JSON_PRETTY_PRINT | JSON_UNESCAPED_UNICODE
                    ),
                ]
            );
        }
    }
}
