<?php

namespace TotalSurvey\Extensions\Workflows\Tasks;
! defined( 'ABSPATH' ) && exit();


use TotalSurvey\Models\WorkflowRule;
use TotalSurvey\Tasks\Workflow\AbstractWorkflowTask;
use TotalSurveyVendors\TotalSuite\Foundation\Event;

/**
 * Class ExecuteHookWorkflow
 *
 * @package TotalSurvey\Tasks\Workflows
 */
class ExecuteHookWorkflow extends AbstractWorkflowTask
{
    protected function execute()
    {
        $actionName = $this->rule->task->arguments->get('actionName');

        if(!empty($actionName)) {
            /**
             * Fires the action hook that is provided by the user.
             *
             * @param  WorkflowRule  $rule  Matched workflow rule.
             * @param  Event  $event  Event that triggered the hook.
             */
            do_action($actionName, $this->rule, $this->event);
        }
    }
}
