<?php

namespace TotalSurvey\Extensions\Workflows\Tasks;
! defined( 'ABSPATH' ) && exit();


use TotalSurvey\Filters\Entries\PublicEntryFilter;
use TotalSurvey\Models\Entry;
use TotalSurvey\Tasks\Workflow\AbstractWorkflowTask;
use TotalSurveyVendors\TotalSuite\Foundation\Support\Strings;

/**
 * Class CallWebHookWorkflow
 *
 * @package TotalSurvey\Tasks\Workflows
 */
class RedirectWorkflow extends AbstractWorkflowTask
{
    protected function execute()
    {
        PublicEntryFilter::add(function (Entry $entry) {
            $url = $this->rule->task->arguments->get('redirectUrl');

            $vars = [
                'entry'   => $entry->toArray(),
            ];

            $url = esc_url(Strings::template($url, $vars));

            if(isset($url)) {
                $entry->setAttribute('redirect', $url);
            }

            return $entry;
        });

    }
}
