<?php

namespace TotalSurvey\Extensions\Workflows\Tasks;
! defined( 'ABSPATH' ) && exit();


use TotalSurvey\Extensions\Workflows\Module;
use TotalSurvey\Tasks\Entries\ConvertEntryToHTMLTable;
use TotalSurvey\Tasks\Workflow\AbstractWorkflowTask;
use TotalSurveyVendors\TotalSuite\Foundation\Support\Strings;

/**
 * Class SendEmailWorkflow
 *
 * @package TotalSurvey\Tasks\Workflows
 */
class SendEmailWorkflow extends AbstractWorkflowTask
{
    protected function execute()
    {
        $entry = $this->event->entry->withUser();

        $vars = [
            'survey'  => $this->event->survey,
            'entry'   => $entry,
            'map'     => $entry->toMap(),
            'content' => ConvertEntryToHTMLTable::invoke($entry),
        ];

        $to      = $this->rule->task->arguments->get('to');
        $subject = $this->rule->task->arguments->get('subject');
        $message = $this->rule->task->arguments->get('message');

        $content = Strings::template($message, $vars);
        wp_mail(
            Strings::template($to, $vars),
            Strings::template($subject, $vars),
            Module::view('email', ['content' => nl2br($content)]),
            ['Content-Type: text/html; charset=UTF-8']
        );
    }
}
